Bug 44418 - nfs problem: server requires stronger authentication
Summary: nfs problem: server requires stronger authentication
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-13 15:21 UTC by Ray Finch
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-11 10:40:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ray Finch 2001-06-13 15:21:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.61 [en] (X11; U; Linux 2.2.12-20 i686)

Description of problem:
the nfs partition appears to mount according to the 'df' command, but the
'ls' command show an empty directory. The following shows up the
/var/log/messages:

Jun 13 07:54:01 sturgeon kernel: call_verify: server requires stronger
authentication.
Jun 13 07:54:01 sturgeon kernel: NFS: cannot retrieve file system info.
Jun 13 07:54:01 sturgeon kernel: nfs_read_super: get root inode failed
Jun 13 07:54:01 sturgeon kernel: nfs warning: mount version older than
kernel

and after the ls command

Jun 13 07:55:08 sturgeon kernel: call_verify: server requires stronger
authentication.
Jun 13 07:55:26 sturgeon last message repeated 10 times



How reproducible:
Always

Steps to Reproduce:
1. mount sunbox:/home /home	
2. df /home
3.  ls /home
	

Actual Results:  'ls /home' showed an empty directory

Expected Results:  we should see a list of user directories.

Additional info:

This machine has a single processor and was configured as a workstation
with almost everything installed.

Comment 1 Nalin Dahyabhai 2001-08-28 19:13:09 UTC
I suspect the server is expecting some flavor of secure RPC for filesystem
access, but not requiring it for mounting the filesystem.  Currently, Linux does
not have support for secure RPC.  Reclassifying under "kernel", which implements
the NFS client functionality.


Note You need to log in before you can comment on or make changes to this bug.